kind: pipeline
type: docker
name: build-and-deploy

volumes:
  - name: node_modules
    host:
      path: /var/lib/drone/node_modules
  - name: vuepress_output
    host:
      path: /var/lib/drone/vuepress_output
steps:
  - name: build-vuepress
    image: node:20.16.0
    volumes:
      - name: node_modules
        path: /drone/src/node_modules
      - name: vuepress_output
        path: /drone/src/docs/.vuepress/dist
    commands:
      - cd /drone/src
      - npm install
      - npm run docs:build